package polling_station_dashboard.search.submitVoter.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.io.IOException;
import java.util.HashMap;

/**
 * Created by Vladimir Eliezer Tokarev on 18/06/2016.
 * SubmitVoterLoader Loads the submit voter fxml
 */
public class SubmitVoterLoader {

    private static final String SUBMIT_VOTER_FXML_PATH = "../fxml/submit_voter.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    private void ResetVoterParams(HashMap<String, String> voter, Parent root)
    {
        ((Label)root.lookup("#IDNumberValue")).setText(voter.get("IDNumber"));
        ((Label)root.lookup("#EligibleToVoteValue")).setText(voter.get("EligibleToVote"));
        ((Label)root.lookup("#StatusValue")).setText(voter.get("Status"));
        ((Label)root.lookup("#ChannelValue")).setText(voter.get("Channel"));
    }

    public SubmitVoterLoader (Stage primaryStage) throws IOException
    {
        currentStage = primaryStage;
        this.fxmlLoader = new FXMLLoader(getClass().getResource(SUBMIT_VOTER_FXML_PATH));
    }

    public void GenerateVoterSubmit(HashMap<String, String> voter) throws IOException
    {
        Parent root = this.fxmlLoader.load();
        ResetVoterParams(voter, root);

        SubmitVoterController controller = fxmlLoader.getController();
        Pane addEditPane = (Pane)currentStage.getScene().lookup("#AddEditPane");
        addEditPane.getChildren().add(root);
        controller.SetStage(currentStage);
    }
}
